Bug 19830 - 2.2.17 will not compile even with kgcc and make mrproper
Summary: 2.2.17 will not compile even with kgcc and make mrproper
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alan Cox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-25 19:47 UTC by ylitvin
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-26 12:32:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ylitvin 2000-10-25 19:47:18 UTC
Hey
I've downloaded 2.2.17 from www.kernel.org
I've successfully compiled 2.2.16 from src.rpm and 2.4t9, but can't compile
2.2.17 :-(
That's what I have/do:
#pwd
/usr/src/linux-2.2.17
#rpm -q kgcc
kgcc-1.1.2-40
#rpm -V kgcc
#
# grep kgcc Makefile
HOSTCC          =kgcc
# echo $CC
kgcc
#make mrproper
#make menuconfig
#make dep
#make clean
#make bzImage

And then I get:
make[2]: Leaving directory `/usr/src/linux-2.2.17/arch/i386/mm'
make[1]: Leaving directory `/usr/src/linux-2.2.17/arch/i386/mm'
make -C  arch/i386/lib
make[1]: Entering directory `/usr/src/linux-2.2.17/arch/i386/lib'
make all_targets
make[2]: Entering directory `/usr/src/linux-2.2.17/arch/i386/lib'
cc -D__KERNEL__ -I/usr/src/linux-2.2.17/include -D__ASSEMBLY__ 
-traditional -c checksum.S -o checksum.o
checksum.S:231: badly punctuated parameter list in #define
checksum.S:237: badly punctuated parameter list in #define
make[2]: *** [checksum.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.2.17/arch/i386/lib'
make[1]: *** [first_rule] Error 2
make[1]: Leaving directory `/usr/src/linux-2.2.17/arch/i386/lib'
make: *** [_dir_arch/i386/lib] Error 2
#

Am i doing something wrong???

Thanx in advance for your reply.

Comment 1 Arjan van de Ven 2000-10-25 20:07:18 UTC
"cc -D__KERNEL__ -I/usr/src/linux-2.2.17/include -D__ASSEMBLY__ "
you are NOT using kgcc. Changing "hostcc" is not correct, you need to change the
"CC" instead
(around line 25), or use 2.2.18pre17 which autodetects this.

Comment 2 Arjan van de Ven 2000-10-25 20:07:19 UTC
"cc -D__KERNEL__ -I/usr/src/linux-2.2.17/include -D__ASSEMBLY__ "
you are NOT using kgcc. Changing "hostcc" is not correct, you need to change the
"CC" instead
(around line 25), or use 2.2.18pre17 which autodetects this.


Note You need to log in before you can comment on or make changes to this bug.